Bug 555302 - (bl-journal-overhaul) Journal overhaul
Journal overhaul
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
26
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Hudlicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 485457 840618 471035 472520 478967 479387 483014 494338 523622 548434 563893 580532 641249 667427 693346 693353 893054 1092488
  Show dependency treegraph
 
Reported: 2010-01-14 06:27 EST by Petr Šplíchal
Modified: 2018-01-15 16:37 EST (History)
4 users (show)

See Also:
Fixed In Version: beakerlib-1.17-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-15 16:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2010-01-14 06:27:19 EST
Description of problem:

There are quite a few bugs already related to the journal improvement:

    Bug 478967 - [RFE] include assert's command output in journal
    Bug 479387 - [RFE] store timestamps in journal
    Bug 548434 - [RFE] journal should contain basic HW profile of a guest
    Bug 483014 - rlLog* commands log differently to stdout

Seems to me we could/should give the journal a little overhaul.
I'll try to sum up what the updated journal format could look like
to meet our updated needs better + some minor consistency changes:

<?xml version="1.0"?>
<test name="/CoreOS/..." run="123" starttime="..." endtime="" result="PASS">
    <package name="netpbm" version="netpbm-10.47.07-1.fc12.i686"/>
    <purpose>`cat PURPOSE`</purpose>
    <host>
        <hostname>localhost</hostname>
        <release>Fedora release 12 (Constantine)</release>
        <kernel>2.6.31.9-174.fc12.i686.PAE</kernel>
        <arch>i686</arch>
        <cpu>`dmidecode --type 4` or `grep 'model name' /proc/cpuinfo`</cpu>
        <memory>`dmidecode --type 17` or just `free`</memory>
        <disk>`df --portability`</disk>
        <swap>`swapon -s`</swap>
    </host>
    <phase name="Setup" type="ABORT" starttime="..." endtime="..."
            score="0" result="PASS">
        <log message="Text of the message" severity="WARN"/>
        <assert message="Assert comment" result="PASS" starttime="" endtime="">
        `tail/head of the stdout & stderr`
        </assert>
    </phase>
    <phase>
        ...
    </phase>
</test>

Let's brainstorm!
Comment 1 Petr Muller 2010-01-14 09:57:07 EST
When I had time in Nov, I've been working on completely new journal implementation, which would eg. simplify writing some tools working with the journal (comparator, reporter, whatever) - OO representation, cleaner designn, etc. It should also make adding new stuff to the journal easier. I've kept (almost) the old journal format, but perhaps this is a good opportunity for the massive improvements and format changes. But the implementation is not complete, I'll try to finish the basics as soon as possible and then I'll publish it (probably as a branch in git repo) so we can work on it.
Comment 2 Petr Šplíchal 2010-02-04 05:57:47 EST
To Petr:

That sounds good! Looking forward to seeing the new journalling
script in action. Could you provide at least a rough draft of the
new functionality? Description of the proposed API? This would be
fine for both discussion & unblocking issues like bug 483014. That
should be possibly tracked as a separate bug.

To all: 

Anyway, regarding the XML format update: This is not blocked by
the new journalling implementation. Please share your thoughts on
my proposal in comment #0.
Comment 3 Petr Muller 2010-02-04 09:43:27 EST
(In reply to comment #2)
> To Petr:
> 
> That sounds good! Looking forward to seeing the new journalling
> script in action. Could you provide at least a rough draft of the
> new functionality? Description of the proposed API? This would be
> fine for both discussion & unblocking issues like bug 483014. That
> should be possibly tracked as a separate bug.

No new functionality, no change in API so far. Just a rewrite with focus on better design and friendly to change and evolution. Current changes started to really clutter the old journal imho.
Comment 4 Petr Muller 2010-10-20 11:06:19 EDT
Starting to work again on this. I will also use this as a tracker for other related issues.
Comment 6 Fedora End Of Life 2013-04-03 15:49:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora Admin XMLRPC Client 2014-09-02 08:14:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2015-01-09 16:41:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:25:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Jan Kurik 2015-07-15 11:20:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 13 Fedora End Of Life 2016-11-24 05:26:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-02-28 04:28:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.